Description

Now the question is how deep we want to go. Smart proxy can be configured to spawn virsh via sudo and other stuff. I guess we

should limit what is covered by the policy.

Associated revisions

Revision f4a857f6 - 11/28/2014 10:38 AM - Lukas Zapletal 

Fixes #4464 - policy for foreman-proxy

History

#1 - 02/26/2014 02:58 PM - Dominic Cleal

Agreed... the trouble is also that the proxy codebase is messy and it has a lot of ugly implementations.  I think the policy should probably be very

tunable depending on what type of work the proxy is configured for.

#2 - 06/05/2014 01:58 PM - Lukas Zapletal

- Priority changed from Normal to High

OSP guys rely on this feature, boosting priority: https://bugzilla.redhat.com/show_bug.cgi?id=1105154

#3 - 07/30/2014 09:14 AM - Lukas Zapletal

- Target version set to 1.7.5

#4 - 08/11/2014 12:56 PM - Lukas Zapletal

- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

- Priority changed from High to Urgent

Yup, it's official. I started works on the foreman-proxy policy.

#5 - 08/15/2014 10:16 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/201 added

- Pull request deleted ()

#6 - 08/15/2014 10:48 AM - Dominic Cleal

- Status changed from Ready For Testing to Assigned

#7 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

05/11/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1105154


#8 - 08/26/2014 04:09 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#9 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#10 - 09/30/2014 10:34 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#11 - 11/28/2014 10:58 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#12 - 11/28/2014 11:03 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f4a857f6005b4ed1183219b5ef1ac5f90ffd0a32.
